<div class="m-2 nlb-page">
  <div class="row">
    <div class="col-6">
      <nlb-back-button class="mb-2" (click)="back()"></nlb-back-button>
    </div>
  </div>
  <nlb-progress-bar class="mb-2" [value]="1 / 5" [max]="1"></nlb-progress-bar>
  <div class="card mt-4">
    <div class="container">
      <form [formGroup]="form">
        <div class="row mb-2 mt-3">
          <div class="col-12">
            <bb-header-ui
              headingType="h3"
              i18n-heading="
                site header|An introduction header for this
                widget@@nlb-passive-processes-cards.customer-data-card.heading"
              heading="Open gradual savings"
            ></bb-header-ui>
          </div>
          <div class="col-12">
            <p i18n="Message|Main message for this widget@@nlb-passive-processes-cards.customer-data-card.mainMessage">
              In order to open the savings, we kindly ask for your employment status and your consent to data
              processing.
            </p>
            <hr />
          </div>
        </div>
        <div class="row mb-4">
          <div class="col-12">
            <bb-header-ui
              headingType="h5"
              i18n-heading="
                Header|Header for the dropdown@@nlb-passive-processes-cards.customer-data-card.dropdownEmployment"
              heading="Employment status"
              class="mr-2"
            >
            </bb-header-ui>
          </div>
          <div class="col-4">
            <ng-select
              class="nlb-processes"
              placeholder="Select"
              [clearable]="false"
              [required]="true"
              [searchable]="false"
              formControlName="employmentStatus"
            >
              <ng-option *ngFor="let status of employmentStatuses | async" [value]="status.id">
                <ng-container [ngSwitch]="status.key">
                  <span
                    *ngSwitchCase="'RETIRED'"
                    i18n="
                      Dropdown|Dropdown label for this widget@@nlb-passive-processes-cards.customer-data-card.retired"
                    class="form-control-label"
                    >Retired</span
                  >
                  <span
                    *ngSwitchCase="'STUDENT'"
                    i18n="
                      Dropdown|Dropdown label for this widget@@nlb-passive-processes-cards.customer-data-card.student"
                    class="form-control-label"
                    >Student</span
                  >
                  <span
                    *ngSwitchCase="'OTHER'"
                    i18n="Dropdown|Dropdown label for this widget@@nlb-passive-processes-cards.customer-data-card.other"
                    class="form-control-label"
                    >Other</span
                  >
                  <span
                    *ngSwitchCase="'SELFEMPLOYED'"
                    i18n="
                      Dropdown|Dropdown label for this
                      widget@@nlb-passive-processes-cards.customer-data-card.entrepreneur"
                    class="form-control-label"
                    >Self-employed</span
                  >
                  <span
                    *ngSwitchCase="'EMPLOYED'"
                    i18n="
                      Dropdown|Dropdown label for this widget@@nlb-passive-processes-cards.customer-data-card.employed"
                    class="form-control-label"
                    >Permanent employment</span
                  >
                  <span
                    *ngSwitchCase="'UNEMPLOYED'"
                    i18n="
                      Dropdown|Dropdown label for this widget@@nlb-passive-processes-cards.customer-data-card.unemployed"
                    class="form-control-label"
                    >Unemployed</span
                  >
                </ng-container>
              </ng-option>
            </ng-select>
            <div style="display: block;" *ngIf="employmentStatus?.invalid && employmentStatus?.touched">
              <div class="float-left mr-1" style="color: red;">
                <i class="icon-nlb-ico-info"></i>
              </div>
              <small style="color: red;"></small>
            </div>
          </div>
        </div>
        <div class="row mb-4 mt-4">
          <div class="col-12">
            <bb-header-ui
              headingType="h5"
              i18n-heading="
                Header|Header for the dropdown@@nlb-passive-processes-cards.customer-data-card.dropdownInterestRate"
              heading="Interest rate"
              class="mr-2"
            ></bb-header-ui>
          </div>
          <div class="col-12 d-flex justify-content-between">
            <label>Savings in eur</label>
            <label>0,0001% yearly</label>
          </div>
          <div class="col-12 d-flex justify-content-between">
            <label>Savings in other currencies</label>
            <label>0,0001% yearly</label>
          </div>
          <div class="col-12 d-flex justify-content-between">
            <label>Interest payment</label>
            <label>monthly</label>
          </div>
        </div>
        <div class="row mb-4">
          <div class="col-12">
            <bb-header-ui
              headingType="h5"
              i18n-heading="
                Header|Header for the dropdown@@nlb-passive-processes-cards.customer-data-card.dropdownDataProcessing"
              heading="Data processing"
              class="mr-2"
            >
            </bb-header-ui>
            <p
              i18n="
                Message|Main message for the checkbox@@nlb-passive-processes-cards.customer-data-card.consentParagraf1"
            >
              I am aware that the banks decision to open an account will be made by the automated data processing. If I
              want additional info, I can visit any NLB branch.
            </p>
          </div>
        </div>
        <div class="row mb-4">
          <div class="col-12">
            <p
              i18n="
                Message|Main message for the checkbox@@nlb-passive-processes-cards.customer-data-card.consentParagraf1"
            >
              I have been provided with
              <span class="nlb-indigo-link" (clisk)="openLink($event)"
                >General information on personal data processing</span
              >
            </p>
          </div>
          <div class="col-4">
            <label
              class="nlb-checkbox mt-3"
              i18n="
                Message|Main message for the checkbox@@nlb-passive-processes-cards.customer-data-card.consentCheckbox"
            >
              <input type="checkbox" formControlName="consent" value="" id="defaultCheck" [required]="true" />
              <span class="checkmark"></span>
              <span>I agree and confirm</span>
            </label>
            <div class="mt-2" style="display: block;" *ngIf="!consent.valid && consent.touched">
              <h6 class="float-left mr-1" style="color: red;">
                <i class="icon-nlb-ico-info"></i>
              </h6>
              <small
                style="color: red;"
                i18n="
                  Message|Message for the error@@nlb-passive-processes-cards.customer-data-card.errorMessageCheckbox"
                >This field is required</small
              >
            </div>
          </div>
        </div>
      </form>
    </div>
  </div>
  <div class="d-flex flex-row-reverse align-items-center">
    <div class="p-2">
      <bb-button-ui [disabled]="form.invalid" (click)="next()">
        Next
      </bb-button-ui>
    </div>
    <div class="p-2">
      <bb-loading-indicator-ui *ngIf="formSubmitted" loaderSize="md"></bb-loading-indicator-ui>
    </div>
    <div class="p-2">
      <button
        color="unstyled"
        style="color: black;"
        class="btn btn-link mr-1 nlb-processes-btn-unstyled"
        (click)="cancel()"
      >
        Cancel
      </button>
    </div>
  </div>
</div>
